Subject: New (a)salts for slugs

From: [email-masked] (BillyFish)
Date: 12 Mar 1995 13:23:02 -0500

Slug killing is a popular subject on this newsgroup.  Using common salt
(sodium chloride) seems to be a good slug killer by many accounts, but
many people do not want to use it because it is detrimental to the soil.

My guess is that salt work by osmosis.  That is, it sucks water out of the
snail or slug.  Other salts have this characterist.  Thus, if a salt that
is not detrimental to the soil is used on the slugs, it should also be
effective.  In fact there are salts that would be beneficial.

The first that comes to mind is ammonium sulfate.  It is often used as a
fertilizer to supply nitrogen and acidify the soil.  Potassium cloride
certainly comes to mind.  Epsom salt, magnesium sulfat, may work.  It is
often discussed here as a soil improver.  One can come up with a list of
such salts that include nitrates and phosphates etc.

Okay now.  If you experiment, please post results

William Buchman